## cdiocddasrc cdiocddasrc |

## Properties

gint | read-speed | Read / Write

## Types and Values

struct | GstCdioCddaSrc

## Object Hierarchy

        GObject
        ╰── GInitiallyUnowned
            ╰── GstObject
                ╰── GstElement
                    ╰── GstBaseSrc
                        ╰── GstPushSrc
                            ╰── GstAudioCdSrc
                                ╰── GstCdioCddaSrc

## Implemented Interfaces

GstCdioCddaSrc implements GstURIHandler.

## Description

## Synopsis

### Element Information

plugin | cdio
author | Tim-Philipp Müller <tim centricular net>
class | Source/File

### Element Pads

name | src
direction | source
presence | always
details | audio/x-raw, format=(string)S16LE, layout=(string)interleaved, rate=(int)44100, channels=(int)2

## Functions

## Types and Values

### struct GstCdioCddaSrc

    struct GstCdioCddaSrc;

## Property Details

### The `“read-speed”` property

      “read-speed”               gint

Read from device at the specified speed (-1 = default).

Flags: Read / Write

Allowed values: [G_MAXULONG,100]

Default value: -1